## stellarsolver 1.9

=== CMakeLists.txt ===
PROJECT(StellarSolver C CXX)
cmake_minimum_required(VERSION 3.0)

#cmake_policy(SET CMP0003 NEW)

# Timestamp build
string(TIMESTAMP StellarSolver_BUILD_TS UTC)

# StellarSolver Version 1.9
set (StellarSolver_VERSION_MAJOR 1)
set (StellarSolver_VERSION_MINOR 9)

set (StellarSolver_SOVERSION "${StellarSolver_VERSION_MAJOR}")
set (StellarSolver_VERSION ${StellarSolver_VERSION_MAJOR}.${StellarSolver_VERSION_MINOR})
set (StellarSolver_VERSION_STRING "${StellarSolver_VERSION_MAJOR}.${StellarSolver_VERSION_MINOR}")

# Exports
set(TARGET_EXPORT_NAME ${PROJECT_NAME}Targets)
set(TARGET_EXPORT_CONFIG ${PROJECT_NAME}Config)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

if(APPLE)
    set(CMAKE_OSX_DEPLOYMENT_TARGET 10.13)
endif(APPLE)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")
include(GNUInstallDirs)

include_directories( "${CMAKE_CURRENT_BINARY_DIR}")
include_directories( "${CMAKE_CURRENT_SOURCE_DIR}")
include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/tester")
include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver")
include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry")
include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/include")
include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/include/astrometry")

set(config_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/os-features-test.c
    )

set(config_FN
    "${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/include/astrometry/os-features-config.h"
    )

file(REMOVE "${config_FN}")
if (WIN32)

    file(APPEND "${config_FN}" "#define NEED_DECLARE_QSORT_R 1\n")
    file(APPEND "${config_FN}" "#define NEED_QSORT_R 1\n")
    file(APPEND "${config_FN}" "#define NEED_SWAP_QSORT_R 0\n")

else(WIN32)

try_run(RUN_RESULT_2 COMPILE_SUCCESS_2 ${CMAKE_CURRENT_BINARY_DIR} ${config_SRCS} COMPILE_DEFINITIONS -DTEST_DECLARE_QSORT_R=ON)
if(COMPILE_SUCCESS_2 AND (RUN_RESULT_2 EQUAL 0))
    SET(VAR_2 0)
else()
    SET(VAR_2 1)
endif()
file(APPEND "${config_FN}" "#define NEED_DECLARE_QSORT_R ${VAR_2}\n")

try_run(RUN_RESULT_3 COMPILE_SUCCESS_3 ${CMAKE_CURRENT_BINARY_DIR} ${config_SRCS} COMPILE_DEFINITIONS -DTEST_QSORT_R=ON)
if(COMPILE_SUCCESS_3 AND (RUN_RESULT_3 EQUAL 0))
    SET(VAR_3 1)
else()
    SET(VAR_3 0)
endif()
file(APPEND "${config_FN}" "#define NEED_QSORT_R ${VAR_3}\n")

try_run(RUN_RESULT_4 COMPILE_SUCCESS_4 ${CMAKE_CURRENT_BINARY_DIR} ${config_SRCS} COMPILE_DEFINITIONS -DTEST_SWAP_QSORT_R=ON)
if(COMPILE_SUCCESS_4 AND (RUN_RESULT_4 EQUAL 0))
    SET(VAR_4 1)
else()
    SET(VAR_4 0)
endif()
file(APPEND "${config_FN}" "#define NEED_SWAP_QSORT_R ${VAR_4}\n")

endif(WIN32)

# We aren't using netpbm in this program, so set this to 0 no matter what
file(APPEND "${config_FN}" "#define HAVE_NETPBM 0")

option(BUILD_TESTER "Build stellarsolver tester program, instead of just the library" Off)

find_package(CFITSIO REQUIRED)
find_package(GSL REQUIRED)
find_package(WCSLIB REQUIRED)
find_package(Qt5 5.4 REQUIRED COMPONENTS Gui Widgets Core Concurrent Network)

if(WIN32)
    find_package(Boost 1.45.0 COMPONENTS regex)
endif(WIN32)

if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
  message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html")
endif (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)

if (CFITSIO_FOUND)
  include_directories(${CFITSIO_INCLUDE_DIR})
endif (CFITSIO_FOUND)

if (GSL_FOUND)
  include_directories(${GSL_INCLUDE_DIR})
endif (GSL_FOUND)

if(WCSLIB_FOUND)
    include_directories( ${WCSLIB_INCLUDE_DIR} )
endif(WCSLIB_FOUND)

include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an")
set(qfits_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/anqfits.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_card.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_convert.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_error.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_header.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_image.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_table.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_time.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_tools.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_byteswap.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_memory.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_rw.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/qfits-an/qfits_float.c
    )

include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd")
set(kd_SRCS
    #Internals
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdint_ddd.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdint_fff.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdint_ddu.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdint_duu.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdint_dds.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdint_dss.c
    #kd
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdtree.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdtree_dim.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdtree_mem.c
    #kd fits
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdtree_fits_io.c
    #dt
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/dualtree.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/dualtree_rangesearch.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/dualtree_nearestneighbour.c
    )

include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util")
set(anbase_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/starutil.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/mathutil.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/bl-sort.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/bl.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/bt.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/healpix-utils.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/healpix.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/permutedsort.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/ioutils.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fileutils.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/os-features.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/an-endian.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/errors.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/tic.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/log.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/datalog.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/sparsematrix.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/coadd.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/convolve-image.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/resample.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/intmap.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/histogram.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/histogram2d.c
    )

set(anutils_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/sip-utils.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fit-wcs.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/sip.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/anwcs.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/wcs-resample.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/gslutils.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/wcs-pv2sip.c

    #These get added if QFITS is to be included
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fitsioutils.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/sip_qfits.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fitstable.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fitsbin.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fitsfile.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/tic.c
    )

set(anfiles_SRCS
    #I think thiese only get added if QFITS is to be included
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/multiindex.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/index.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/codekd.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/starkd.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/rdlist.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/xylist.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/starxy.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/qidxfile.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/quadfile.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/scamp.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/scamp-catalog.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/wcs-xy2rd.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/wcs-rd2xy.c
        )

include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind")
set(engine_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/engine.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/blindutils.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/blind.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/solver.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/quad-utils.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/matchfile.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/matchobj.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/solvedclient.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/solvedfile.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/tweak2.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/verify.c
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/tweak.c
    )

set (sep_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/sep/analyse.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/sep/aperture.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/sep/background.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/sep/convolve.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/sep/deblend.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/sep/extract.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/sep/lutz.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/sep/util.cpp
    )

set(StellarSolver_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/parameters.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/sextractorsolver.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/internalsextractorsolver.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/externalsextractorsolver.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/onlinesolver.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/stellarsolver.cpp
   )

set(ALL_SRCS
    ${StellarSolver_SRCS}
    ${sep_SRCS}
    ${engine_SRCS}
    ${anfiles_SRCS}
    ${anutils_SRCS}
    ${anbase_SRCS}
    ${kd_SRCS}
    ${qfits_SRCS}
    )

if (WIN32)

=== debian/changelog ===
stellarsolver (1.9-1) unstable; urgency=medium

  * New upstream release.
  * Add needed dependencies for libstellarsolver-dev: libcfitsio-dev,
    qtbase5-dev.
  * CI: enable blhc again, as it should work fine now.
  * Small tweak to the description of libstellarsolver1.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Jan 2022 14:41:22 +0100

stellarsolver (1.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Dec 2021 00:18:18 +0100

stellarsolver (1.8-1) experimental; urgency=medium

  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Sep 2021 07:01:41 +0200

=== debian/control ===
Source: stellarsolver
Section: libdevel
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.0~),
 debhelper-compat (= 13),
 libcfitsio-dev,
 libgsl-dev,
 pkg-config,
 qtbase5-dev (>= 5.4.0~),
 wcslib-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver
Homepage: https://github.com/rlancaste/stellarsolver

Package: libstellarsolver1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Sextractor and Astrometry.net-Based Internal Astrometric Solver
 An Astrometric Plate Solver, built on Astrometry.net and SEP (sextractor).
 .
 This package contains the Stellar Solver shared library.

Package: libstellarsolver-dev
Architecture: any
Depends: libstellarsolver1 (= ${binary:Version}),
 libcfitsio-dev,
 qtbase5-dev,
 ${misc:Depends}
Description: development files for the Stellar Solver library
 An Astrometric Plate Solver, built on Astrometry.net and SEP (sextractor).
 .
 This package contains the Stellar Solver development files.

## stellarsolver 2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 # Timestamp build
 string(TIMESTAMP StellarSolver_BUILD_TS UTC)
 
-# StellarSolver Version 1.9
-set (StellarSolver_VERSION_MAJOR 1)
-set (StellarSolver_VERSION_MINOR 9)
+# StellarSolver Version 2.3
+set (StellarSolver_VERSION_MAJOR 2)
+set (StellarSolver_VERSION_MINOR 3)
 
 set (StellarSolver_SOVERSION "${StellarSolver_VERSION_MAJOR}")
 set (StellarSolver_VERSION ${StellarSolver_VERSION_MAJOR}.${StellarSolver_VERSION_MINOR})
@@ -88,6 +88,9 @@
 file(APPEND "${config_FN}" "#define HAVE_NETPBM 0")
 
 option(BUILD_TESTER "Build stellarsolver tester program, instead of just the library" Off)
+option(BUILD_BATCH_SOLVER "Build stellarsolver batch solver program, instead of just the library" Off)
+option(BUILD_DEMOS "Build stellarsolver basic demonstration programs, instead of just the library" Off)
+option(BUILD_TESTS "Build stellarsolver tests, instead of just the library" Off)
 
 find_package(CFITSIO REQUIRED)
 find_package(GSL REQUIRED)
@@ -146,10 +149,6 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdtree_mem.c
     #kd fits
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/kdtree_fits_io.c
-    #dt
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/dualtree.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/dualtree_rangesearch.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/libkd/dualtree_nearestneighbour.c
     )
 
 include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util")
@@ -158,39 +157,24 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/mathutil.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/bl-sort.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/bl.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/bt.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/healpix-utils.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/healpix.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/permutedsort.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/ioutils.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fileutils.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/os-features.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/an-endian.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/errors.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/tic.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/log.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/datalog.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/sparsematrix.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/coadd.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/convolve-image.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/resample.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/intmap.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/histogram.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/histogram2d.c
     )
 
 set(anutils_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/sip-utils.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fit-wcs.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/sip.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/anwcs.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/wcs-resample.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/gslutils.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/wcs-pv2sip.c
 
     #These get added if QFITS is to be included
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fitsioutils.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/sip_qfits.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fitstable.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fitsbin.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/fitsfile.c
@@ -198,36 +182,23 @@
     )
 
 set(anfiles_SRCS
-    #I think thiese only get added if QFITS is to be included
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/multiindex.c
+    #I think these only get added if QFITS is to be included
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/index.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/codekd.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/starkd.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/rdlist.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/xylist.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/starxy.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/qidxfile.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/quadfile.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/scamp.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/scamp-catalog.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/wcs-xy2rd.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/util/wcs-rd2xy.c
         )
 
 include_directories( "${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind")
 set(engine_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/engine.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/blindutils.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/blind.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/solver.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/quad-utils.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/matchfile.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/matchobj.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/solvedclient.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/solvedfile.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/tweak2.c
     ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/verify.c
-    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometry/blind/tweak.c
     )
 
 set (sep_SRCS
@@ -243,11 +214,13 @@
 
 set(StellarSolver_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/parameters.cpp
-   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/sextractorsolver.cpp
-   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/internalsextractorsolver.cpp
-   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/externalsextractorsolver.cpp
+   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/extractorsolver.cpp
+   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/internalextractorsolver.cpp
+   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/externalextractorsolver.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/onlinesolver.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/stellarsolver.cpp
+   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/astrometrylogger.cpp
+   ${CMAKE_CURRENT_SOURCE_DIR}/stellarsolver/wcsdata.cpp
    )
 
 set(ALL_SRCS
@@ -262,3 +235,40 @@
     )
 
 if (WIN32)
+    add_library(stellarsolver STATIC ${ALL_SRCS})
+else(WIN32)
+    add_library(stellarsolver SHARED ${ALL_SRCS})
+endif(WIN32)
+
+target_link_libraries(stellarsolver
+    ${CFITSIO_LIBRARIES}
+    ${GSL_LIBRARIES}
+    ${WCSLIB_LIBRARIES}
+    Qt5::Core
+    Qt5::Network
+    Qt5::Widgets
+    Qt5::Concurrent
+    )
+
+if(WIN32)
+    target_link_libraries(stellarsolver wsock32 ${Boost_LIBRARIES})
+else(WIN32)
+    set_target_properties(stellarsolver PROPERTIES VERSION ${StellarSolver_VERSION_STRING} SOVERSION ${StellarSolver_SOVERSION} OUTPUT_NAME stellarsolver)
+endif(WIN32)
+
+if (MSVC) # We need to disable some warnings caused by using code designed for Unix on a Windows machine, otherwise astrometry code gives over 1500 warnings.
+    # Use secure functions by default and suppress warnings about deprecated or POSIX functions
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /D _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES=1")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /D _CRT_SECURE_CPP_OVERLOAD_STANDARD_NAMES_COUNT=1")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /D _CRT_NONSTDC_NO_DEPRECATE=1")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /D _CRT_NONSTDC_NO_WARNINGS=1 /D _CRT_SECURE_NO_WARNINGS=1")
+    # Disabling warnings caused by assigning values to types defined with typedef double <variable>
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4244")
+    # Disbling warnings caused by size_t being assigned to int
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4267")
+    # Disabling warning for comparing signed and unsigned variables
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4018")
+    # Disabling the warning for redefined macros, because ERROR had a conflict and it is used A LOT in astrometry
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4005")
+    # Disabling warning for unused local variables (This one is important because some variables only get used on Linux or MacOS)
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4101")

=== debian/changelog ===
stellarsolver (2.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Thu, 26 May 2022 06:42:29 +0200

stellarsolver (2.3-1) experimental; urgency=medium

  * New upstream release.
  * Small updates to copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 24 May 2022 20:45:49 +0200

stellarsolver (2.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Rename packages according to the new SONAMEs:
    - libstellarsolver1 -> libstellarsolver2
  * Update install files.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 21 May 2022 06:24:52 +0200

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
  pkg-config,
  qtbase5-dev (>= 5.4.0~),
  wcslib-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver
 Homepage: https://github.com/rlancaste/stellarsolver
 
-Package: libstellarsolver1
+Package: libstellarsolver2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -28,7 +28,7 @@
 
 Package: libstellarsolver-dev
 Architecture: any
-Depends: libstellarsolver1 (= ${binary:Version}),
+Depends: libstellarsolver2 (= ${binary:Version}),
  libcfitsio-dev,
  qtbase5-dev,
  ${misc:Depends}

## stellarsolver 2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 # Timestamp build
 string(TIMESTAMP StellarSolver_BUILD_TS UTC)
 
-# StellarSolver Version 2.3
+# StellarSolver Version 2.4
 set (StellarSolver_VERSION_MAJOR 2)
-set (StellarSolver_VERSION_MINOR 3)
+set (StellarSolver_VERSION_MINOR 4)
 
 set (StellarSolver_SOVERSION "${StellarSolver_VERSION_MAJOR}")
 set (StellarSolver_VERSION ${StellarSolver_VERSION_MAJOR}.${StellarSolver_VERSION_MINOR})

=== debian/changelog ===
stellarsolver (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Dec 2022 09:27:49 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pkg-config,
  qtbase5-dev (>= 5.4.0~),
  wcslib-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver

## stellarsolver 2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 # Timestamp build
 string(TIMESTAMP StellarSolver_BUILD_TS UTC)
 
-# StellarSolver Version 2.4
+# StellarSolver Version 2.5
 set (StellarSolver_VERSION_MAJOR 2)
-set (StellarSolver_VERSION_MINOR 4)
+set (StellarSolver_VERSION_MINOR 5)
 
 set (StellarSolver_SOVERSION "${StellarSolver_VERSION_MAJOR}")
 set (StellarSolver_VERSION ${StellarSolver_VERSION_MAJOR}.${StellarSolver_VERSION_MINOR})
@@ -27,7 +27,7 @@
 set(CMAKE_AUTORCC ON)
 
 if(APPLE)
-    set(CMAKE_OSX_DEPLOYMENT_TARGET 10.13)
+    set(CMAKE_OSX_DEPLOYMENT_TARGET 10.15)
 endif(APPLE)
 
 LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

=== debian/changelog ===
stellarsolver (2.5-2) unstable; urgency=medium

  * Team upload.
  * Apply patch to fix qsort definition and thus build error (Closes:
    #1066275). Thanks Miriam Espana Acebal for the patch.
  * Switch deprecated B-D on pkg-config to pkgconf.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 14 Apr 2024 12:14:48 -0300

stellarsolver (2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 18 Aug 2023 06:04:30 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  libcfitsio-dev,
  libgsl-dev,
- pkg-config,
+ pkgconf,
  qtbase5-dev (>= 5.4.0~),
  wcslib-dev,
 Standards-Version: 4.6.2

## stellarsolver 2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,18 @@
+cmake_minimum_required(VERSION 3.0)
 PROJECT(StellarSolver C CXX)
-cmake_minimum_required(VERSION 3.0)
+set(CMAKE_CXX_STANDARD 17)
+if(APPLE)
+    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++" )
+endif(APPLE)
 
 #cmake_policy(SET CMP0003 NEW)
 
 # Timestamp build
 string(TIMESTAMP StellarSolver_BUILD_TS UTC)
 
-# StellarSolver Version 2.5
+# StellarSolver Version 2.6
 set (StellarSolver_VERSION_MAJOR 2)
-set (StellarSolver_VERSION_MINOR 5)
+set (StellarSolver_VERSION_MINOR 6)
 
 set (StellarSolver_SOVERSION "${StellarSolver_VERSION_MAJOR}")
 set (StellarSolver_VERSION ${StellarSolver_VERSION_MAJOR}.${StellarSolver_VERSION_MINOR})
@@ -17,6 +21,9 @@
 # Exports
 set(TARGET_EXPORT_NAME ${PROJECT_NAME}Targets)
 set(TARGET_EXPORT_CONFIG ${PROJECT_NAME}Config)
+
+# See download progress
+Set(FETCHCONTENT_QUIET FALSE)
 
 configure_file(
     ${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake
@@ -91,11 +98,21 @@
 option(BUILD_BATCH_SOLVER "Build stellarsolver batch solver program, instead of just the library" Off)
 option(BUILD_DEMOS "Build stellarsolver basic demonstration programs, instead of just the library" Off)
 option(BUILD_TESTS "Build stellarsolver tests, instead of just the library" Off)
+option(BUILD_CLI "Build stellarsolver command line interface, instead of just the library" Off)
 
 find_package(CFITSIO REQUIRED)
 find_package(GSL REQUIRED)
 find_package(WCSLIB REQUIRED)
-find_package(Qt5 5.4 REQUIRED COMPONENTS Gui Widgets Core Concurrent Network)
+
+# Option to choose between Qt5 and Qt6
+option(USE_QT5 "Use Qt5" ON)
+
+if(USE_QT5)
+    find_package(Qt5 5.15 REQUIRED COMPONENTS Gui Widgets Core Concurrent Network)
+else()
+    message(WARNING "QT6 support is fairly new and not fully vetted yet.  Currently there is an issue with partitioning in StellarSolver in QT6.")
+    find_package(Qt6 REQUIRED COMPONENTS Gui Widgets Core Concurrent Network)
+endif()
 
 if(WIN32)
     find_package(Boost 1.45.0 COMPONENTS regex)
@@ -244,10 +261,10 @@
     ${CFITSIO_LIBRARIES}
     ${GSL_LIBRARIES}
     ${WCSLIB_LIBRARIES}
-    Qt5::Core
-    Qt5::Network
-    Qt5::Widgets
-    Qt5::Concurrent
+    Qt::Core
+    Qt::Network
+    Qt::Widgets
+    Qt::Concurrent
     )
 
 if(WIN32)
@@ -264,11 +281,3 @@
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /D _CRT_NONSTDC_NO_WARNINGS=1 /D _CRT_SECURE_NO_WARNINGS=1")
     # Disabling warnings caused by assigning values to types defined with typedef double <variable>
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4244")
-    # Disbling warnings caused by size_t being assigned to int
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4267")
-    # Disabling warning for comparing signed and unsigned variables
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4018")
-    # Disabling the warning for redefined macros, because ERROR had a conflict and it is used A LOT in astrometry
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4005")
-    # Disabling warning for unused local variables (This one is important because some variables only get used on Linux or MacOS)
-    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /wd4101")

=== debian/changelog ===
stellarsolver (2.6-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:57:05 +0200

stellarsolver (2.6-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - 139-fix-qsort-warning.patch: drop, fixed upstream
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 19 Jul 2024 22:16:34 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  pkgconf,
  qtbase5-dev (>= 5.4.0~),
  wcslib-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver

## stellarsolver 2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 PROJECT(StellarSolver C CXX)
 set(CMAKE_CXX_STANDARD 17)
 if(APPLE)
@@ -10,9 +10,9 @@
 # Timestamp build
 string(TIMESTAMP StellarSolver_BUILD_TS UTC)
 
-# StellarSolver Version 2.6
+# StellarSolver Version 2.7
 set (StellarSolver_VERSION_MAJOR 2)
-set (StellarSolver_VERSION_MINOR 6)
+set (StellarSolver_VERSION_MINOR 7)
 
 set (StellarSolver_SOVERSION "${StellarSolver_VERSION_MAJOR}")
 set (StellarSolver_VERSION ${StellarSolver_VERSION_MAJOR}.${StellarSolver_VERSION_MINOR})
@@ -109,14 +109,12 @@
 
 if(USE_QT5)
     find_package(Qt5 5.15 REQUIRED COMPONENTS Gui Widgets Core Concurrent Network)
+    set(LIBRARY_NAME stellarsolver)
 else()
     message(WARNING "QT6 support is fairly new and not fully vetted yet.  Currently there is an issue with partitioning in StellarSolver in QT6.")
     find_package(Qt6 REQUIRED COMPONENTS Gui Widgets Core Concurrent Network)
-endif()
-
-if(WIN32)
-    find_package(Boost 1.45.0 COMPONENTS regex)
-endif(WIN32)
+    set(LIBRARY_NAME stellarsolver6)
+endif()
 
 if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
   message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html")
@@ -257,7 +255,7 @@
     add_library(stellarsolver SHARED ${ALL_SRCS})
 endif(WIN32)
 
-target_link_libraries(stellarsolver
+target_link_libraries(stellarsolver PUBLIC
     ${CFITSIO_LIBRARIES}
     ${GSL_LIBRARIES}
     ${WCSLIB_LIBRARIES}
@@ -268,9 +266,9 @@
     )
 
 if(WIN32)
-    target_link_libraries(stellarsolver wsock32 ${Boost_LIBRARIES})
+    target_link_libraries(stellarsolver PUBLIC wsock32)
 else(WIN32)
-    set_target_properties(stellarsolver PROPERTIES VERSION ${StellarSolver_VERSION_STRING} SOVERSION ${StellarSolver_SOVERSION} OUTPUT_NAME stellarsolver)
+    set_target_properties(stellarsolver PROPERTIES VERSION ${StellarSolver_VERSION_STRING} SOVERSION ${StellarSolver_SOVERSION} OUTPUT_NAME ${LIBRARY_NAME})
 endif(WIN32)
 
 if (MSVC) # We need to disable some warnings caused by using code designed for Unix on a Windows machine, otherwise astrometry code gives over 1500 warnings.

=== debian/changelog ===
stellarsolver (2.7-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/control: Use Debian KDE Extras Team as maintainer.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Feb 2026 19:27:40 -0500

stellarsolver (2.7-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 07:06:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: stellarsolver
 Section: libdevel
-Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
  debhelper-compat (= 13),
  libcfitsio-dev,
  libgsl-dev,
  pkgconf,
  qtbase5-dev (>= 5.4.0~),
  wcslib-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/stellarsolver
 Homepage: https://github.com/rlancaste/stellarsolver

=== debian/watch ===
Version: 5

Template: GitHub
Owner: rlancaste
Project: stellarsolver
